### Function

# Babl set_user_data

#### Declaration [src]

    void
    babl_set_user_data (
      const Babl* babl,
      void* data
    )

#### Description [src]

Associate a data pointer with a format/model, this data can be accessed and used from the conversion functions, encoding color profiles, palettes or similar with the data, perhaps this should be made internal API, not accesible at all from.

This function is not directly available to language bindings.

#### Parameters

`babl`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

`data`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.